## org.eclipse.emf.ecoretools.diagram.part
Class EcoreDiagramEditorPlugin

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.ui.plugin.AbstractUIPlugin
              org.eclipse.emf.ecoretools.diagram.part.EcoreDiagramEditorPlugin

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class EcoreDiagramEditorPlugin

extends org.eclipse.ui.plugin.AbstractUIPlugin

Field Summary
`static org.eclipse.gmf.runtime.diagram.core.preferences.PreferencesHint` `DIAGRAM_PREFERENCES_HINT`
`static java.lang.String` `ID`

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`EcoreDiagramEditorPlugin()`

Method Summary
`protected org.eclipse.emf.edit.provider.ComposedAdapterFactory` `createAdapterFactory()`
`protected void` `fillItemProviderFactories(java.util.List factories)`
`static org.eclipse.jface.resource.ImageDescriptor` `findImageDescriptor(java.lang.String path)` Respects images residing in any plug-in.
`org.eclipse.swt.graphics.Image` `getBundledImage(java.lang.String path)` Returns an image for the image file at the given plug-in relative path.
`static org.eclipse.jface.resource.ImageDescriptor` `getBundledImageDescriptor(java.lang.String path)` Returns an image descriptor for the image file at the given plug-in relative path.
`EcoreDocumentProvider` `getDocumentProvider()`
`static EcoreDiagramEditorPlugin` `getInstance()`
`org.eclipse.jface.resource.ImageDescriptor` `getItemImageDescriptor(java.lang.Object item)`
`org.eclipse.emf.common.notify.AdapterFactory` `getItemProvidersAdapterFactory()`
`static java.lang.String` `getString(java.lang.String key)` Returns string from plug-in's resource bundle
`void` `logError(java.lang.String error)`
`void` `logError(java.lang.String error, java.lang.Throwable throwable)`
`void` `logInfo(java.lang.String message)`
`void` `logInfo(java.lang.String message, java.lang.Throwable throwable)`
`void` `start(org.osgi.framework.BundleContext context)`
`void` `stop(org.osgi.framework.BundleContext context)`

Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin
`createImageRegistry, getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, initializeDefaultPluginPreferences, initializeDefaultPreferences, initializeImageRegistry, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown, startup`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ID

    public static final java.lang.String ID

See Also:
  Constant Field Values

### DIAGRAM_PREFERENCES_HINT

    public static final org.eclipse.gmf.runtime.diagram.core.preferences.PreferencesHint DIAGRAM_PREFERENCES_HINT

Constructor Detail

### EcoreDiagramEditorPlugin

    public EcoreDiagramEditorPlugin()

Method Detail

### start

    public void start(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `start` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
  Throws:
    `java.lang.Exception`

### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws java.lang.Exception

  Specified by:
    `stop` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `stop` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
  Throws:
    `java.lang.Exception`

### getInstance

    public static EcoreDiagramEditorPlugin getInstance()

### createAdapterFactory

    protected org.eclipse.emf.edit.provider.ComposedAdapterFactory createAdapterFactory()

### fillItemProviderFactories

    protected void fillItemProviderFactories(java.util.List factories)

### getItemProvidersAdapterFactory

    public org.eclipse.emf.common.notify.AdapterFactory getItemProvidersAdapterFactory()

### getItemImageDescriptor

    public org.eclipse.jface.resource.ImageDescriptor getItemImageDescriptor(java.lang.Object item)

### getBundledImageDescriptor

    public static org.eclipse.jface.resource.ImageDescriptor getBundledImageDescriptor(java.lang.String path)

  Returns an image descriptor for the image file at the given plug-in relative path.

  Parameters:
    `path` - the path
  Returns:
    the image descriptor

### findImageDescriptor

    public static org.eclipse.jface.resource.ImageDescriptor findImageDescriptor(java.lang.String path)

  Respects images residing in any plug-in. If path is relative, then this bundle is looked up for the image, otherwise, for absolute path, first segment is taken as id of plug-in with image

  Parameters:
    `path` - the path to image, either absolute (with plug-in id as first segment), or relative for bundled images
  Returns:
    the image descriptor

### getString

    public static java.lang.String getString(java.lang.String key)

  Returns string from plug-in's resource bundle

### getBundledImage

    public org.eclipse.swt.graphics.Image getBundledImage(java.lang.String path)

  Returns an image for the image file at the given plug-in relative path. Client do not need to dispose this image. Images will be disposed automatically.

  Parameters:
    `path` - the path
  Returns:
    image instance

### getDocumentProvider

    public EcoreDocumentProvider getDocumentProvider()

### logError

    public void logError(java.lang.String error)

### logError

    public void logError(java.lang.String error,
                         java.lang.Throwable throwable)

  Parameters:
    `throwable` - actual error or null could be passed

### logInfo

    public void logInfo(java.lang.String message)

### logInfo

    public void logInfo(java.lang.String message,
                        java.lang.Throwable throwable)

  Parameters:
    `throwable` - actual error or null could be passed

Copyright 2007 Anyware Technologies. All Rights Reserved.